Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7492 - Boot error messages indicate possible problem.
Summary: Boot error messages indicate possible problem.
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 6.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-12-01 20:33 UTC by bhogan
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-05 21:46:29 UTC


Attachments (Terms of Use)

Description bhogan 1999-12-01 20:33:05 UTC
/var/log/messages:
------------------
[...]
Dec  1 10:30:14 localhost kernel: change_root: old root has d_count=3
Dec  1 10:30:14 localhost kernel: Trying to unmount old root ... <3>error
-16
Dec  1 10:30:14 localhost kernel: Change root to /initrd: error -2
[...]

uname -a:
---------
Linux localhost.localdomain 2.2.12-20 #1 Mon Nov 29 16:31:28 PST 1999 i686
unknown

Other anomalies:
------------------------------------------
1. shutdown -h causes kernel panic; shutdown -r does not.

Notes:
------
1. Messages appear every time I boot up.

2. There is no directory named "/initrd" that I can see.

2. rpm --rebuilt kernel RPMS with no modifications on my computer.

End of report.
--------------

Comment 1 Bill Nottingham 1999-12-01 21:11:59 UTC
The shutdown -h thing; you are (I'm guessing) using a K6-2/3, and
a VIA Apollo chipset?  Take the '-p' out of the end of /etc/rc.d/init.d/halt,
and it will go away.

Are you booting with an initrd? (What does lilo.conf look like?)

Comment 2 Cristian Gafton 2000-01-04 22:26:59 UTC
Assigned to dledford

Comment 3 Bill Nottingham 2000-02-05 21:46:59 UTC
The problem with the reboot/halt is an issue with the
APM BIOS. The 'error' messages are simply a function
of using an initial ramdisk; they aren't fatal.


Note You need to log in before you can comment on or make changes to this bug.